#!/bin/bash

## Download latest UNHCR monthly asylum applications data from
## http://popstats.unhcr.org/en/asylum_seekers_monthly

DATAFILENAME="unhcr_popstats_export_asylum_seekers_monthly.csv"
mkdir -p temp

# TODO: needs to be updated to include 2016 when the time comes
curl 'http://popstats.unhcr.org/en/export' -o "temp/$DATAFILENAME" -H 'Accept-Encoding: gzip, deflate' -H 'Content-Type: application/x-www-form-urlencoded' -H 'Cache-Control: max-age=0' --data 'url=http%3A%2F%2Fpopdata.unhcr.org%2Fapi%2Fstats%2Fasylum_seekers_monthly.json%3Fyear%3D2015%26year%3D2014%26year%3D2013%26year%3D2012%26month%3D1%26month%3D2%26month%3D3%26month%3D4%26month%3D5%26month%3D6%26month%3D7%26month%3D8%26month%3D9%26month%3D10%26month%3D11%26month%3D12%26coa%3DALB%26coa%3DAUS%26coa%3DAUT%26coa%3DBEL%26coa%3DBIH%26coa%3DBGR%26coa%3DCAN%26coa%3DHRV%26coa%3DCYP%26coa%3DCZE%26coa%3DDNK%26coa%3DEST%26coa%3DFIN%26coa%3DFRA%26coa%3DDEU%26coa%3DGRC%26coa%3DHUN%26coa%3DISL%26coa%3DIRL%26coa%3DITA%26coa%3DJPN%26coa%3DLVA%26coa%3DLIE%26coa%3DLTU%26coa%3DLUX%26coa%3DMLT%26coa%3DMNE%26coa%3DNLD%26coa%3DNZL%26coa%3DNOR%26coa%3DPOL%26coa%3DPRT%26coa%3DKOR%26coa%3DROU%26coa%3DSRB%26coa%3DSVK%26coa%3DSVN%26coa%3DESP%26coa%3DSWE%26coa%3DCHE%26coa%3DMKD%26coa%3DTUR%26coa%3DUSA_EOIR%26coa%3DUSA_INSDHS%26coa%3DGBR%26coo%3DAFG%26coo%3DALB%26coo%3DDZA%26coo%3DAND%26coo%3DAGO%26coo%3DATG%26coo%3DARG%26coo%3DARM%26coo%3DAUS%26coo%3DAUT%26coo%3DAZE%26coo%3DBHS%26coo%3DBHR%26coo%3DBGD%26coo%3DBRB%26coo%3DBLR%26coo%3DBEL%26coo%3DBLZ%26coo%3DBEN%26coo%3DBMU%26coo%3DBTN%26coo%3DBOL%26coo%3DBIH%26coo%3DBWA%26coo%3DBRA%26coo%3DBRN%26coo%3DBGR%26coo%3DBFA%26coo%3DBDI%26coo%3DCPV%26coo%3DKHM%26coo%3DCMR%26coo%3DCAN%26coo%3DCYM%26coo%3DCAF%26coo%3DTCD%26coo%3DCHL%26coo%3DCHN%26coo%3DHKG%26coo%3DMAC%26coo%3DCOL%26coo%3DCOM%26coo%3DCOG%26coo%3DCRI%26coo%3DHRV%26coo%3DCUB%26coo%3DCYP%26coo%3DCZE%26coo%3DCIV%26coo%3DPRK%26coo%3DCOD%26coo%3DDNK%26coo%3DDJI%26coo%3DDMA%26coo%3DDOM%26coo%3DECU%26coo%3DEGY%26coo%3DSLV%26coo%3DGNQ%26coo%3DERI%26coo%3DEST%26coo%3DETH%26coo%3DFJI%26coo%3DFIN%26coo%3DFRA%26coo%3DGUF%26coo%3DGAB%26coo%3DGMB%26coo%3DGEO%26coo%3DDEU%26coo%3DGHA%26coo%3DGIB%26coo%3DGRC%26coo%3DGRD%26coo%3DGTM%26coo%3DGIN%26coo%3DGNB%26coo%3DGUY%26coo%3DHTI%26coo%3DHND%26coo%3DHUN%26coo%3DISL%26coo%3DIND%26coo%3DIDN%26coo%3DIRN%26coo%3DIRQ%26coo%3DIRL%26coo%3DISR%26coo%3DITA%26coo%3DJAM%26coo%3DJPN%26coo%3DJOR%26coo%3DKAZ%26coo%3DKEN%26coo%3DKIR%26coo%3DKWT%26coo%3DKGZ%26coo%3DLAO%26coo%3DLVA%26coo%3DLBN%26coo%3DLSO%26coo%3DLBR%26coo%3DLBY%26coo%3DLIE%26coo%3DLTU%26coo%3DLUX%26coo%3DMDG%26coo%3DMWI%26coo%3DMYS%26coo%3DMDV%26coo%3DMLI%26coo%3DMLT%26coo%3DMTQ%26coo%3DMRT%26coo%3DMUS%26coo%3DMEX%26coo%3DFSM%26coo%3DMCO%26coo%3DMNG%26coo%3DMNE%26coo%3DMAR%26coo%3DMOZ%26coo%3DMMR%26coo%3DNAM%26coo%3DNRU%26coo%3DNPL%26coo%3DNLD%26coo%3DNCL%26coo%3DNZL%26coo%3DNIC%26coo%3DNER%26coo%3DNGA%26coo%3DNOR%26coo%3DOMN%26coo%3DPAK%26coo%3DPSE%26coo%3DPAN%26coo%3DPNG%26coo%3DPRY%26coo%3DPER%26coo%3DPHL%26coo%3DPOL%26coo%3DPRT%26coo%3DPRI%26coo%3DQAT%26coo%3DKOR%26coo%3DMDA%26coo%3DROU%26coo%3DRUS%26coo%3DRWA%26coo%3DKNA%26coo%3DLCA%26coo%3DVCT%26coo%3DWSM%26coo%3DSMR%26coo%3DSTP%26coo%3DSAU%26coo%3DSEN%26coo%3DSRB%26coo%3DSYC%26coo%3DSLE%26coo%3DSGP%26coo%3DSVK%26coo%3DSVN%26coo%3DSLB%26coo%3DSOM%26coo%3DZAF%26coo%3DSSD%26coo%3DESP%26coo%3DLKA%26coo%3DSTA%26coo%3DSDN%26coo%3DSUR%26coo%3DSWZ%26coo%3DSWE%26coo%3DCHE%26coo%3DSYR%26coo%3DTJK%26coo%3DTHA%26coo%3DMKD%26coo%3DTIB%26coo%3DTLS%26coo%3DTGO%26coo%3DTON%26coo%3DTTO%26coo%3DTUN%26coo%3DTUR%26coo%3DTKM%26coo%3DTCA%26coo%3DTUV%26coo%3DUGA%26coo%3DUKR%26coo%3DARE%26coo%3DGBR%26coo%3DTZA%26coo%3DUSA%26coo%3DURY%26coo%3DUZB%26coo%3DVAR%26coo%3DVEN%26coo%3DVNM%26coo%3DESH%26coo%3DYEM%26coo%3DZMB%26coo%3DZWE&type=asylum_seekers_monthly&fields=country_of_asylum_en%2Ccountry_of_origin_en%2Cyear%2Cmonth_en%2Cvalue&export_type=CSV' --compressed

if [ $? -ne 0 ]; then
	echo "Downloading of UNHCR data failed"
	exit 1
else
	tail -n +5 "temp/$DATAFILENAME" > "data/$DATAFILENAME" # Remove header rows
	rm "temp/$DATAFILENAME"
	echo "UNHCR data downloaded to data/$DATAFILENAME"
fi
